# Retrieve a list of users

Lists all users with accounts define for a specific XM Cloud Content  instance. If you don't specify any filtering parameters, you will retrieve all available users.

Endpoint: GET /api/v2/cm/users
Version: v2.0
Security: OAuth2.0

## Security:

  - `OAuth2.0` (unknown)
    oauth2

## Query parameters:

  - `SortBy` (string)

  - `MinimumPageSize` (integer)

  - `Type` (string)

## Header parameters:

  - `x-sc-continuation` (string)
    The continuation token for next results.

## Response 200:

  - `200` (unknown)
    Successful operation

## Response 200 fields (application/json):

  - `count` (integer)

  - `next` (string)

  - `data` (array)

  - `data.id` (string, required)

  - `data.authId` (string, required)

  - `data.organizationId` (string, required)

  - `data.type` (string, required)
    Enum: "User", "Client"

  - `data.email` (string)

  - `data.givenName` (string)

  - `data.familyName` (string)

## Response 400:

  - `400` (unknown)
    Request not valid or error during operation

## Response 400 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized request or invalid access token

## Response 401 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 403:

  - `403` (unknown)
    Request does not contain required scopes

## Response 403 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 500:

  - `500` (unknown)
    Server-side exception during request execution

